Subject: [pim] regarding creation of (s, g) state in pim ssm on FHR

From: phani Ayyappa <[email-masked]>
Date: Wed, 26 Jul 2017 02:43:14 -0700

Hi,
  Does first hop router needs to create (s, g) state on the router, though
there are no interested receivers present down stream ?  Does RFC mandate
creation of  (s, g) state in  this scenario ?

Thanks
Pani

---

From: phani Ayyappa <[email-masked]>
Date: Wed, 26 Jul 2017 03:21:47 -0700

Hi Magesh,
 Does this state (s, g) is needed , when this group range falls in ssm
space ?

Thanks
Pani

On Wed, Jul 26, 2017 at 3:17 AM, V, Magesh (Nokia - IN/Bangalore) <
[email-masked]> wrote:

> Yes, I believe so.
>
> FHR creates (s,g) state and does an encapsulated forwarding of traffic to
> the RP. RP responds with ‘Register-Stop’ message back to FHR if there are
> no active listeners. The (s,g) state on FHR will remain as long as the
> traffic is hitting the node; however, its OIL might be null (or maintained
> as register_interface, not 100% sure here).
>
> Thanks,
>
> Magesh.
>
>
>
> *From:* pim [mailto:[email-masked]] *On Behalf Of *phani Ayyappa
> *Sent:* Wednesday, July 26, 2017 3:13 PM
> *To:* [email-masked]
> *Subject:* [pim] regarding creation of (s, g) state in pim ssm on FHR
>
>
>
> Hi,
>

---

From: "iamredheart22 ." <[email-masked]>
Date: Wed, 26 Jul 2017 18:17:00 +0530

Hi Pani,

           Yes it is mandatory to create and keep the (S,G) state on FHR so
that periodic NULL register packets keep the the (S,G) state on the RP
alive. Otherwise, how else do you restart the traffic when the receivers
join? Are you using BSR based source signaling or something similar?

            If the group falls in SSM range then no need to create (S,G)
state from data.

Thanks,
Indranil

On Wed, Jul 26, 2017 at 3:13 PM, phani Ayyappa <[email-masked]> wrote:

> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim
>
>